---
schema_version: "1"
id: eb8db95188d76abf18b3c0d261c3a36889466b11d91405a52ea8396a0f52a418
title: TMF673 v4 Geographic Address Management (Outbound)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/comms/references/generated-api-specs/tmf673.md
canonical_url: https://developer.salesforce.com/docs/industries/communications/references/tmf673
source_site: developer.salesforce.com
content_type: documentation
content_hash: 67878784c7934629c246f8672eafc1a18596263bb95864fb3f32d4117cd2a6e8
products:
  - Communications Cloud TM Forum API
  - Industries Integrations
---
TMF673 v4 Geographic Address Management (Outbound)

# TMF673 v4 Geographic Address Management (Outbound)

Use the Geographic Address Management API to validate an address. The data exchange is compliant with the TM Forum's Open API specification.

**Version:** v1

Protocols: https.

## Operations

### GET Validate an address

`GET /geographicAddressValidation`

Retrieves the GeographicAddressValidation objects.

#### Parameters

*   `fields` (query, string) Specifies the comma-separated properties to provide in the response.
*   `offset` (query, integer) Specifies the requested index for the start of the resources to provide in the response.
*   `limit` (query, integer) Specifies the requested number of the resources to provide in the response.

#### Responses

*   **200** Request is successful.
    
    Headers:
    
    *   `X-Result-Count` (integer, required) Specifies the actual number of items returned in the response body.
    *   `X-Total-Count` (integer, required) Specifies the total of the items matching the criteria.
    
    Media type: `application/json`. Schema: `GeographicAddressValidationResponse`.
    
    _Example_
    
    ```
     [
       {
          "id":"1a2b3c",
          "href":"/tmf-api/geographicAddressManagement/v4/geographicAddressValidation/1a2b3c",
          "provideAlternative": true,
          "status":"done",
          "validationResult":"partial",
          "submittedGeographicAddress":{
             "id": "1a2b3c",
             "href":"/tmf-api/geographicAddressManagement/v4/geographicAddressValidation/1a2b3c",
             "streetNr":"151",
             "name": "name",
             "streetName":"Landgrabenweg",
             "postcode":"53227",
             "postcodeExtension":"1",
             "city":"Bonn",
             "streetNrLast": "streetNrLast",
             "stateOrProvince":"NRW",
             "streetNrLastSuffix": "streest 1",
             "streetSuffix": "street 1",
             "streetNrSuffix": "street",
             "country":"Germany",
             "locality": "locality",
             "@type":"FieldedAddress",
             "streetType": "comercial",
             "@baseType":"GeographicAddress",
             "@schemaLocation":"http://github.com/MEF-GIT/FieldedAddress.json"
          }
       }
    ]
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "400"
    reason: Bad Request
    ```
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "401"
    reason: Unauthorized
    ```
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "403"
    reason: Forbidden
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "404"
    reason: Not Found
    ```
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "405"
    reason: Method not allowed
    ```
    
*   **406**
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "406"
    reason: Request not acceptable
    ```
    
*   **415**
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "415"
    reason: Unsupported Media Type
    ```
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "422"
    reason: Unprocessable content
    ```
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "500"
    reason: Unable to complete the request as the server encountered an error
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    code: "501"
    reason: Implementation not available
    ```
    

## Schemas

### GeographicAddressValidationResponse

Provides the response after validating a geographic address to ensure that the address is valid.

Array of `object`.

Includes all fields of `GeographicAddressValidation`.

### ErrorMessage

*   `code` (_string_, required) Specifies the application-relevant detail defined in the API or a common list.
*   `reason` (_string_, required) Describes the reason for the error, which can be shown to a client user.
*   `message` (_string_) Provides more details and corrective actions related to the error, which can be shown to a client user.
*   `status` (_string_) Specifies the HTTP error code extension.
*   `referenceError` (_string_) Specifies the URI of the documentation that describes the error.
*   `@baseType` (_string_) Defines the super class when subclassing.
*   `@schemaLocation` (_string_) Specifies the URI to a JSON schema file that defines additional attributes and relationships.
*   `@type` (_string_) Defines the subclass entity name when subclassing.

### GeographicAddressValidation

*   `id` (_string_, required) Specifies the unique identifier of the address validation.
*   `href` (_string_, required) Specifies a URI that's used to access the address validation resource.
*   `provideAlternative` (_boolean_, required) Indicates whether it's mandatory for the requester to specify an alternate address in case of partial or failed result (true), or not (false).
*   `validationDate` (_datetime_) Specifies the date when the address validation is performed.
*   `validationResult` (_string_) Provides the result of the address validation (success, partial, or failed).
*   `alternateGeographicAddress` (_array of object_) The geographic address as an alternate address for validation.
    
    Includes all fields of `GeographicAddress`.
    
*   `state` (_object_) Specifies the state of the geographic address validation. Possible values are accepted, terminatedWithError, inProgress, and done.
    
    Includes all fields of `TaskStateType`.
    
*   `submittedGeographicAddress` (_object_, required) Specifies the address as submitted for validation.
    
    Includes all fields of `GeographicAddress`.
    
*   `validGeographicAddress` (_object_) Specifies the validated geographic address data.
    
    Includes all fields of `GeographicAddress`.
    
*   `@baseType` (_string_) Defines the super class when subclassing.
*   `@schemaLocation` (_string_) Specifies the URI to a JSON schema file that defines additional attributes and relationships.
*   `@type` (_string_) Defines the subclass entity name when subclassing.

### GeographicAddress

*   `id` (_string_, required) Specifies the unique identifier of the place.
*   `href` (_string_, required) Specifies the unique reference of the place.
*   `city` (_string_, required) Specifies the city from the address.
*   `country` (_string_, required) Specifies the country from the address.
*   `locality` (_string_, required) An area of defined or undefined boundaries within a local authority or other legislatively defined area, usually rural or semi-rural in nature. For example, a suburb, a bounded locality within a city, or a town or shire principally of urban character \[ANZLICSTREET\].
*   `name` (_string_, required) Specifies a user-friendly name for the place, such as Paris Store, London Store, or Main Home.
*   `postcode` (_string_, required) The postal delivery area used to speed and simplify the delivery of mail, which is also know as zipcode.
*   `stateOrProvince` (_string_, required) The state or province from the address.
*   `streetName` (_string_, required) The name of the street or other street type.
*   `streetNr` (_string_, required) The number identifying a specific property on a public street. It may be combined with streetNrLast for ranged addresses.
*   `streetNrLast` (_string_, required) The last number in a range of street numbers allocated to a property.
*   `streetNrLastSuffix` (_string_, required) The last street number suffix for a ranged address.
*   `streetNrSuffix` (_string_, required) The first street number suffix.
*   `streetSuffix` (_string_, required) A modifier denoting a relative direction.
*   `streetType` (_string_, required) Specifies the street type, such as alley, avenue, boulevard, brae, crescent, drive, highway, lane, terrace, parade, place, tarn, way, or wharf.
*   `geographicLocation` (_object_)
    
    Includes all fields of `GeographicLocationRefOrValue`.
    
*   `geographicSubAddress` (_array of object_)
    
    Includes all fields of `GeographicSubAddress`.
    
*   `@baseType` (_string_, required) Defines the super class when subclassing.
*   `@schemaLocation` (_string_, required) Specifies the URI to a JSON schema file that defines additional attributes and relationships.
*   `@type` (_string_, required) Defines the subclass entity name when subclassing.

### TaskStateType

Type: `string`.

Allowed values: `accepted`, `terminatedWithError`, `inProgress`, `done`.

### GeographicLocationRefOrValue

*   `id` (_string_) Specifies the unique identifier of the place.
*   `href` (_string_) Specifies the unique reference of the place.
*   `name` (_string_) Specifies a user-friendly name for the place, such as Paris Store, London Store, or Main Home.
*   `@baseType` (_string_) Defines the super class when subclassing.  
    Example: `ResourceSpecification`.
*   `bbox` (_array of any_, required) Specifies a bounding box array that contains the geometry. The axes order follows the axes order of the geometry.
*   `items` (_number_)
*   `@schemaLocation` (_string_) Specifies the URI to a JSON schema file that defines additional attributes and relationships.  
    Example: `https://mycsp.com:8080/tmf-api/schema/Resource/LogicalResourceSpecification.schema.json`.
*   `@type` (_string_, required) Specifies the name of the GeoJSON structure used in the geometry attribute.  
    Allowed values: `GeoJsonPoint`, `GeoJsonMultiPoint`, `GeoJsonLineString`, `GeoJsonMultiLineString`, `GeoJsonPolygon`.
*   `@referredType` (_string_) Specifies the actual type of the target instance when needed for disambiguation.

### GeographicSubAddress

*   `id` (_string_, required) Specifies the unique identifier of the subAddress.
*   `href` (_string_, required) Specifies the link to the subAddress.
*   `buildingName` (_string_, required) Specifies the building name.
*   `levelNumber` (_string_, required) Specifies the level number where a level type may be repeated. For example, BASEMENT 1, or BASEMENT 2.
*   `levelType` (_string_, required) Specifies the level type within a building.
*   `name` (_string_, required) Specifies the name of the subAddress to identify it with a meaningful identification.
*   `privateStreetName` (_string_, required) Specifies the private name of a street. Private streets internal to a property, such as a university, may have internal names that are not recorded by the land title office.
*   `privateStreetNumber` (_string_, required) Specifies the private street numbers internal to a private street.
*   `subAddressType` (_string_, required) Type of subAddress : The subaddress type, which can be a subunit or a private street.
*   `subUnitNumber` (_string_, required) The discriminator used for the subunit often just a simple number. For example, FLAT 5, may also be a range.
*   `subUnitType` (_string_, required) The type of subunit. For example, BERTH, FLAT, PIER, SUITE, SHOP, TOWER, UNIT, or WHARF.
*   `@baseType` (_string_, required) Defines the super class when subclassing.
*   `@schemaLocation` (_string_, required) Specifies the URI to a JSON schema file that defines additional attributes and relationships.
*   `@type` (_string_, required) Defines the subclass entity name when subclassing.